/*
 * cfgid: "CID_MOCK1"
 * datetime: 2015-06-24T07:12:58+09:00
 * hexdigest: 40d6c78f267f48fd40ddecfb1ba53f7404f615f27ee0c0ea6ee62cd1241543010176f4c27187221268297249ceaed5781c92da8f2ee9717302699a06972d9a0f
 */
#include <hipc/client.h>
#include "cfgmock1.h"
#include "cfgmock1_ccfg.h"


const struct HIPC_cl_indp_mbr HIPCUD_cfgmock1_CCFG_indp_member_MOCK1S1[] = {
    {HIPC_MBR_SIMPLE, "m1"},
    {HIPC_MBR_SIMPLE, "m2"},
};

const struct HIPC_cl_indp_stru HIPCUD_cfgmock1_CCFG_indp_struct[] = {
    {2, "MOCK1S1", HIPCUD_cfgmock1_CCFG_indp_member_MOCK1S1},
};

unsigned char HIPCUD_cfgmock1_CCFG_cfgid[9] =
    {67,73,68,95,77,79,67,75,49};

const struct HIPC_cl_indp HIPCUD_cfgmock1_CCFG_indp = {
    HIPCUD_cfgmock1_CCFG_cfgid, 9,
    3, 1, HIPCUD_cfgmock1_CCFG_indp_struct
};


unsigned char HIPCUD_cfgmock1_CCFG_lmdp_MOCK1S1_offset[] = {
    offsetof(struct MOCK1S1, m1),
    offsetof(struct MOCK1S1, m2),
};
unsigned char HIPCUD_cfgmock1_CCFG_lmdp_MOCK1S1_size[] = {
    sizeof(char),
    sizeof(int),
};

struct HIPC_cl_dp_stru HIPCUD_cfgmock1_CCFG_lmdp_struct[] = {
    {HIPCUD_cfgmock1_CCFG_lmdp_MOCK1S1_offset, HIPCUD_cfgmock1_CCFG_lmdp_MOCK1S1_size},
};

unsigned char HIPCUD_cfgmock1_CCFG_structsizes[] = {
    sizeof(struct MOCK1S1),
};

struct HIPC_cl_dp HIPCUD_cfgmock1_CCFG_lmdp =
    {'\0', HIPCUD_cfgmock1_CCFG_structsizes, HIPCUD_cfgmock1_CCFG_lmdp_struct};


const struct HIPC_client HIPCUD_cfgmock1_CCFG = {
    0,
    &HIPCUD_cfgmock1_CCFG_indp,
    &HIPCUD_cfgmock1_CCFG_lmdp,
};
