#ifndef HIPC_POSIX_IOUTILS_H
#define HIPC_POSIX_IOUTILS_H

#include <unistd.h>

#include <stddef.h>

#ifdef __cplusplus
extern "C" {
#endif

    extern int hipcPosixReadReady(int fd);
    extern ssize_t hipcPosixReadExactly(const int fd, void *buf,
                                        const size_t count);
    extern ssize_t hipcPosixWriteExactly(const int fd, void const *buf,
                                         const size_t count);

#ifdef __cplusplus
}
#endif
#endif
