/*
 * cfgid: "CID_MOCK1"
 * datetime: 2015-06-24T07:12:58+09:00
 * hexdigest: 40d6c78f267f48fd40ddecfb1ba53f7404f615f27ee0c0ea6ee62cd1241543010176f4c27187221268297249ceaed5781c92da8f2ee9717302699a06972d9a0f
 */
#include <stddef.h>
#include <hipc/scfg.h>
#include "cfgmock1.h"
#include "cfgmock1_scfg.h"

unsigned char HIPCUD_cfgmock1_SCFG_overview[] = {
    HIPC_MESSAGE_TYPE_SYS, '\0', HIPC_SYSMSG_TYPE_OVERVIEW, 1,
    sizeof(struct MOCK1S1),
};

const unsigned char HIPCUD_cfgmock1_SCFG_MOCK1S1_offset[] = {
    HIPC_MESSAGE_TYPE_SYS, 0, HIPC_SYSMSG_TYPE_OFFSET, 2,
    offsetof(struct MOCK1S1, m1),
    offsetof(struct MOCK1S1, m2),
};

const unsigned char HIPCUD_cfgmock1_SCFG_MOCK1S1_size[] = {
    HIPC_MESSAGE_TYPE_SYS, 0, HIPC_SYSMSG_TYPE_SIZE, 2,
    sizeof(char),
    sizeof(int),
};

const struct HIPC_fixed_sysmsg HIPCUD_cfgmock1_SCFG_sysmsg[] = {
    {sizeof(HIPCUD_cfgmock1_SCFG_overview), HIPCUD_cfgmock1_SCFG_overview},
    {sizeof(HIPCUD_cfgmock1_SCFG_MOCK1S1_offset), HIPCUD_cfgmock1_SCFG_MOCK1S1_offset},
    {sizeof(HIPCUD_cfgmock1_SCFG_MOCK1S1_size), HIPCUD_cfgmock1_SCFG_MOCK1S1_size},
};

const size_t HIPCUD_cfgmock1_SCFG_structsizes[] = {
    sizeof(struct MOCK1S1),
};

const unsigned char HIPCUD_cfgmock1_SCFG_cfgid[9] =
    {67,73,68,95,77,79,67,75,49};

const struct HIPC_scfg HIPCUD_cfgmock1_SCFG = {
    {HIPC_MESSAGE_TYPE_HELLO, HIPC_UNSTRU, 0, 9},
    HIPCUD_cfgmock1_SCFG_cfgid,
    &HIPCUD_cfgmock1_SCFG_overview[HIPC_MSGHDR_BYTE_STRUNO],
    3,
    HIPCUD_cfgmock1_SCFG_sysmsg,
    1,
    HIPCUD_cfgmock1_SCFG_structsizes,
};
