/*
 * cfgid: "CID_MOCK2"
 * datetime: 2015-06-24T07:12:58+09:00
 * hexdigest: 120ce2226b6a60b380c8b17c5be1833692cbfd7dc18cf579606f511b6d738467e09820b5e9c8fa87eec1893549f84dfe2b7e33af3f00e48dae74fd6220c742aa
 */
#include <stddef.h>
#include <hipc/scfg.h>
#include "cfgmock2.h"
#include "cfgmock2_scfg.h"

unsigned char HIPCUD_cfgmock2_SCFG_overview[] = {
    HIPC_MESSAGE_TYPE_SYS, '\0', HIPC_SYSMSG_TYPE_OVERVIEW, 2,
    sizeof(struct MOCK2S1),
    sizeof(struct MOCK2S2),
};

const unsigned char HIPCUD_cfgmock2_SCFG_MOCK2S1_offset[] = {
    HIPC_MESSAGE_TYPE_SYS, 0, HIPC_SYSMSG_TYPE_OFFSET, 1,
    offsetof(struct MOCK2S1, m1),
};

const unsigned char HIPCUD_cfgmock2_SCFG_MOCK2S1_size[] = {
    HIPC_MESSAGE_TYPE_SYS, 0, HIPC_SYSMSG_TYPE_SIZE, 1,
    sizeof(char),
};

const unsigned char HIPCUD_cfgmock2_SCFG_MOCK2S2_offset[] = {
    HIPC_MESSAGE_TYPE_SYS, 1, HIPC_SYSMSG_TYPE_OFFSET, 2,
    offsetof(struct MOCK2S2, m1),
    offsetof(struct MOCK2S2, m2),
};

const unsigned char HIPCUD_cfgmock2_SCFG_MOCK2S2_size[] = {
    HIPC_MESSAGE_TYPE_SYS, 1, HIPC_SYSMSG_TYPE_SIZE, 2,
    sizeof(char),
    sizeof(int),
};

const struct HIPC_fixed_sysmsg HIPCUD_cfgmock2_SCFG_sysmsg[] = {
    {sizeof(HIPCUD_cfgmock2_SCFG_overview), HIPCUD_cfgmock2_SCFG_overview},
    {sizeof(HIPCUD_cfgmock2_SCFG_MOCK2S1_offset), HIPCUD_cfgmock2_SCFG_MOCK2S1_offset},
    {sizeof(HIPCUD_cfgmock2_SCFG_MOCK2S1_size), HIPCUD_cfgmock2_SCFG_MOCK2S1_size},
    {sizeof(HIPCUD_cfgmock2_SCFG_MOCK2S2_offset), HIPCUD_cfgmock2_SCFG_MOCK2S2_offset},
    {sizeof(HIPCUD_cfgmock2_SCFG_MOCK2S2_size), HIPCUD_cfgmock2_SCFG_MOCK2S2_size},
};

const size_t HIPCUD_cfgmock2_SCFG_structsizes[] = {
    sizeof(struct MOCK2S1),
    sizeof(struct MOCK2S2),
};

const unsigned char HIPCUD_cfgmock2_SCFG_cfgid[9] =
    {67,73,68,95,77,79,67,75,50};

const struct HIPC_scfg HIPCUD_cfgmock2_SCFG = {
    {HIPC_MESSAGE_TYPE_HELLO, HIPC_UNSTRU, 0, 9},
    HIPCUD_cfgmock2_SCFG_cfgid,
    &HIPCUD_cfgmock2_SCFG_overview[HIPC_MSGHDR_BYTE_STRUNO],
    5,
    HIPCUD_cfgmock2_SCFG_sysmsg,
    2,
    HIPCUD_cfgmock2_SCFG_structsizes,
};
